# εξίσωση 1ου βαθμού
a=float(input("ax+b=0   a="))
b=float(input("ax+b=0   b="))
if a!=0:
    x=-b/a
    print("x=",x)
else:
    if b==0:
        print("αοριστη εξίσωση")
    else:
        print("αδύνατη εξίσωση")
print("τέλος προγράμματος")
